package database

import (
	"database/sql"
)

type CardPrinting struct {
	Id              int
	Name            string
	SetCode         string
	IsFoil          bool
	IsPromo         bool
	CollectorNumber string
	Language        string
}

func InsertCardPrinting(db *sql.DB, cardPrinting CardPrinting) error {
	query := `INSERT INTO CardPrinting (
		Name,
		SetCode,
		IsFoil,
		IsPromo,
		CollectorNumber,
		Language)
		VALUES (?, ?, ?, ?, ?, ?);`

	insert, err := db.Prepare(query)
	defer insert.Close()
	if err != nil {
		return err
	}

	_, err = insert.Exec(cardPrinting.Name, cardPrinting.SetCode, cardPrinting.IsFoil, cardPrinting.IsPromo, cardPrinting.CollectorNumber, cardPrinting.Language)
	if err != nil {
		return err
	}

	return nil
}
